# SPEC file for Copy Link Name extension

%define rname	copy_link_name
%define version 1.3.2
%define release alt0.M50P.1
%define cid 	\{103B2EA2-F063-4273-958D-6B46E5B6F98C\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary: copies the name of a link
Summary(ru_RU.UTF-8): копирует имя ссылки

License:	%mpl
Group:		Networking/WWW
URL:		https://addons.mozilla.org/firefox/553/
BuildArch:	noarch

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	%rname-%version-fx+sm.xpi

BuildRequires(pre):	rpm-build-firefox  rpm-build-licenses
BuildRequires:	unzip

%description
'Copy Link Name' is a small extension for Mozilla and Firefox
that adds a context menu item to copy a link's source anchor.

%description -l ru_RU.UTF-8
'Copy Link Name' - небольшое расширение для Mozilla и Firefox,
добавляет  в контекстное  меню пункт,  позволяющий скопировать
название гипертекстовой ссылки.

%prep
%setup -c

%install
mkdir -p -- %buildroot/%ciddir
cp -r -- * %buildroot/%ciddir
touch %buildroot/%ciddir/chrome.manifest

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Apr 13 2011 Andrey Cherepanov <cas@altlinux.org> 1.3.2-alt0.M50P.1
- Backport to p5 for new Firefox 4.0

* Tue Apr 12 2011 Alexey Gladkov <legion@altlinux.ru> 1.3.2-alt1
- New version

* Wed Oct 21 2009 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.8-alt1
- New version

* Sat Jun 06 2009 Alexey Gladkov <legion@altlinux.ru> 1.2.7-alt2
- Rebuild for Firefox 3.5

* Sun Mar 15 2009 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.7-alt1
- New version

* Thu Jul 10 2008 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.6-alt1
- New version

* Sat Dec 15 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.4-alt7
- Rebuild for Firefox 2.0.0.11

* Fri Nov 09 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.4-alt6
- Rebuild for Firefox 2.0.0.9

* Fri Oct 26 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.4-alt5
- Rebuild for Firefox 2.0.0.8

* Fri Aug 03 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.4-alt4
- Rebuild for Firefox 2.0.0.6

* Sat Jul 21 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.4-alt3
- Rebuild for Firefox 2.0.0.5

* Thu Jul 05 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.4-alt2
- Rebuild for Firefox 2.0.0.4

* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.4-alt1
- New version
  * Added sv-SE, sk-SK, ro-RO, hu-HU, hr-HR, es-AR, uk-UA and ar translations

* Mon Dec 04 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.3-alt3
- Rebuild for Firefox 2.0
  - removes obsolete macros
  - replace 'set_firefox_noarch' macro with 'BuildArch' tag

* Sun Sep 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.3-alt2
- Rebuild with firefox 1.5.0.7

* Wed Aug 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.3-alt1
- New version 1.2.3
  * Adding several new translations
  * Testing with Firefox 2 beta 1

* Tue Jun 20 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.2-alt2
- Rebuild with firefox 1.5.0.4

* Wed May 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.2-alt1
- First build for ALT Linux

* Sun May 21 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.2-alt0
- Initial build
